Lan Multicast
4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getGridLanMulticasts | GET | Get lan multicast list |
| createLanMulticast | POST | Create new lan multicast |
| deleteLanMulticast | DELETE | Delete an existing lan multicast |
| modifyLanMulticast | PATCH | Modify a lan multicast |
getGridLanMulticasts
GET /openapi/v1/{omadacId}/sites/{siteId}/lan-multicasts
Get lan multicast list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridLanMulticasts",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get lan multicast list
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createLanMulticast
POST /openapi/v1/{omadacId}/sites/{siteId}/lan-multicasts
Create new lan multicast
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema LanMulticastVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | The primary id of the multicast snooping. |
name | string | no | The name of the multicast snooping. |
networks | array<NetworkVO> | no | The collection of snooping network ids related to this multicast snooping config. |
protocol | integer | no | When multicast snooping value 0,then represents the IGMP snooping type,else if value 1,then represents MLD snooping type. |
unknownMulticastRule | integer | no | When it selects 0,then send forward, it selects 1,then discard info, it selects 2,then route port first. |
unknownMulticastExceptDevice | UnknownMulticastConfigVO | no | (UnknownMulticastConfigVO not expanded; call omada_get_schema "UnknownMulticastConfigVO") |
floodKnownEnable | boolean | no | Whether open flood known protocols. |
querierEnable | boolean | no | Whether open querier. |
routerPortEnable | boolean | no | Whether open manual router port config. |
resource | integer | no | resource |
routerPorts | array<RouterPortVO> | no | The specific list of router ports info,including network, devices and the ports on them. |
snoopConfig | SnoopConfigVO | no | (SnoopConfigVO not expanded; call omada_get_schema "SnoopConfigVO") |
igmpQueriers | array<IgmpConfigVO> | no | The querier configs for IGMP snooping(ipv4). |
mldQueriers | array<MldConfigVO> | no | The querier configs for MLD snooping(ipv6). |
// omada_call_operation
{
"operationId": "createLanMulticast",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new lan multicast
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
deleteLanMulticast
DELETE /openapi/v1/{omadacId}/sites/{siteId}/lan-multicasts/{multicastId}
Delete an existing lan multicast
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
multicastId | path | string | yes | lanMulticastId |
// omada_call_operation
{
"operationId": "deleteLanMulticast",
"params": {
"siteId": "<siteId>",
"multicastId": "<multicastId>"
}
}Details, permissions and error codes
Delete an existing lan multicast
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39900 - This multicast snooping entry does not exist.
modifyLanMulticast
PATCH /openapi/v1/{omadacId}/sites/{siteId}/lan-multicasts/{multicastId}
Modify a lan multicast
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
multicastId | path | string | yes | lanMulticastId |
Request body — application/json (required) — schema LanMulticastVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | The primary id of the multicast snooping. |
name | string | no | The name of the multicast snooping. |
networks | array<NetworkVO> | no | The collection of snooping network ids related to this multicast snooping config. |
protocol | integer | no | When multicast snooping value 0,then represents the IGMP snooping type,else if value 1,then represents MLD snooping type. |
unknownMulticastRule | integer | no | When it selects 0,then send forward, it selects 1,then discard info, it selects 2,then route port first. |
unknownMulticastExceptDevice | UnknownMulticastConfigVO | no | (UnknownMulticastConfigVO not expanded; call omada_get_schema "UnknownMulticastConfigVO") |
floodKnownEnable | boolean | no | Whether open flood known protocols. |
querierEnable | boolean | no | Whether open querier. |
routerPortEnable | boolean | no | Whether open manual router port config. |
resource | integer | no | resource |
routerPorts | array<RouterPortVO> | no | The specific list of router ports info,including network, devices and the ports on them. |
snoopConfig | SnoopConfigVO | no | (SnoopConfigVO not expanded; call omada_get_schema "SnoopConfigVO") |
igmpQueriers | array<IgmpConfigVO> | no | The querier configs for IGMP snooping(ipv4). |
mldQueriers | array<MldConfigVO> | no | The querier configs for MLD snooping(ipv6). |
// omada_call_operation
{
"operationId": "modifyLanMulticast",
"params": {
"siteId": "<siteId>",
"multicastId": "<multicastId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a lan multicast
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39900 - This multicast snooping entry does not exist.